Subject: Re: FVWM: detect running modules

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 17 Jul 2004 11:03:54 +0000

On 17 Jul 2004 12:51:11 +1000, Scott Smedley wrote:
> 
> I'd like to be able to determine if a module is already loaded. Is there
> a way to do this?

There is no relable way currently.

> I'd like to be able to do something like:
> 
> AddToFunc ToggleFvwmProxy
> + I Test (!ModuleRunning FvwmProxy) ModuleSynchronous FvwmProxy
> + I SendToModule FvwmProxy ShowToggle
> 
> Key F11 A A Function ToggleFvwmProxy
> 
> This way, the module gets loaded the first time I press F11.
> (which I might not do during most sessions - hence the desire for
> a kind of "autoload" feature.)

Please support optional aliases in such test too. The parameters should
be the same as in KillModule, because of multiple reasons I once listed.

Or maybe just add new ModuleOnce and ModuleSynchronousOnce commands.
BTW, I don't think it was the best to introduce the new command, we
could possibly have one Module --sync --once instead of four commands.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]